# Get Questionnaire Questions

GET /{questionnaireId}/questions

#### Description

Retrieves all questions from the latest version of a specified questionnaire, including their text, type, and configuration details.

Endpoint: GET /{questionnaireId}/questions
Version: 1.0
Security: oauth2

## Path parameters:

  - `questionnaireId` (string, required)
    Unique ID of the questionnaire

## Query parameters:

  - `version` (integer)
    The version of the questionnaire to retrieve questions from

## Response 200 fields (application/json):

  - `id` (string)
    The unique identifier for the question.
    Example: "0f5912e8-760e-11ef-8ae2-92105719a406"

  - `orgId` (string)
    The unique identifier for the organization.
    Example: "1dbe4d61-d8b2-11e9-9131-83d3f7zez54a"

  - `options` (string)
    The list of options if the question is of type single select or multi-select.
    Example: ["Verified","Unverified"]

  - `scores` (string)
    The list of scores relative to the list of options. Relevant for the overall scoring of the questionnaire.
    Example: [1,0]

  - `questionnaireId` (string)
    The unique identifier for the questionnaire the question belongs to.
    Example: "0f580176-760e-11ef-8ae2-9210571za406"

  - `questionnaireVersionId` (string)
    The unique identifier for the questionnaire version the question belongs to.
    Example: "0f5876a7-760e-11ef-8ae2-9210z719a406"

  - `questionnaireVersion` (integer)
    The version number for the questionnaire version the question belongs to.

  - `sectionName` (string)
    The name of the section in the questionnaire the question belongs to.
    Example: "Vendors"

  - `questionType` (string)
    The type of question this is.
    Enum: "text", "number", "date", "textSingleSelect", "textMultiSelect", "textSingleSelectAndExplanation", "textMultiSelectAndExplanation", "proofUpload", "textInstruction"

  - `identifier` (string)
    Represents a question number or other identifier. This value is unique within a questionnaire section.
    Example: "Vendor Verification"

  - `content` (string)
    The content of the question (i.e. what is being asked).
    Example: "Is this vendor verified?"

  - `isRequired` (boolean)
    Whether the question is required to be answered.
    Example: "false,"

  - `weight` (integer)
    The weight of the question to relate the level of importance of a question in impacting the overall score of the questionnaire.

  - `ordering` (integer)
    The ordering of the question within the questionnaire.

  - `isProofRequired` (boolean)
    Whether the question requires an attachment.

  - `isSystemProtected` (boolean)
    Indicates whether this question is managed by Hyperproof. This is typically only true for questionnaires that come pre-packaged by the system and related to questions needed to generate core object properties

  - `objectPropertyMappingKey` (string)
    An object and property mapping
    Enum: "RISK_NAME", "RISK_DESCRIPTION", "RISK_LIKELIHOOD_RATIONALE", "RISK_IMPACT_RATIONALE", "EXTERNAL_CONTACT_GIVEN_NAME", "EXTERNAL_CONTACT_SURNAME", "EXTERNAL_CONTACT_EMAIL"

  - `conditions` (array)
    The list of conditions used for displaying conditional questions.
    Example: [[{"id":"d88d505d-5199-11ee-a644-522476618ae8","orgId":"ce83e3cd-5199-11ee-a644-522476618ae8","gatingQuestionId":"88940b8d-7263-438d-97ae-ea69ff9799ef","conditionalQuestionId":"4d3ebff6-6890-435d-9e8d-8842e8593d51","trigger":"yes","status":"active","createdBy":"82d7c228-8bcd-11e9-a94b-ab3de8494987","createdOn":"2023-09-12T18:26:10.005365Z","updatedBy":"82d7c228-8bcd-11e9-a94b-ab3de8494987","updatedOn":"2023-09-12T18:26:10.005365Z","permissions":[]}]]

  - `conditions.id` (string)
    The unique identifier for the question condition.
    Example: "d88d505d-5199-11ee-a644-522476618ae8"

  - `conditions.orgId` (string)
    The unique identifier for the organization.
    Example: "ce83e3cd-5199-11ee-a644-522476618ae8"

  - `conditions.gatingQuestionId` (string)
    The unique identifier for the question that is gating the conditional question.
    Example: "88940b8d-7263-438d-97ae-ea69ff9799ef"

  - `conditions.conditionalQuestionId` (string)
    The unique identifier for the question that is being gated.
    Example: "4d3ebff6-6890-435d-9e8d-8842e8593d51"

  - `conditions.trigger` (string)
    The question option the condition is triggered on.
    Example: "yes"

  - `conditions.status` (string)
    The status of the object
    Enum: "active", "archived"

  - `conditions.createdBy` (string)
    The unique identifier of the user who created the question condition.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `conditions.createdOn` (string)
    The date the question was created (ISO-8601 format).
    Example: "2023-09-12T18:26:10.005365Z"

  - `conditions.updatedBy` (string)
    The unique identifier of the user who last updated the question condition.
    Example: "82d7c228-8bcd-11e9-a94b-ab3de8494987"

  - `conditions.updatedOn` (string)
    The date the question condition was updated (ISO-8601 format).
    Example: "2023-09-12T18:26:10.005365Z"

  - `conditions.permissions` (array)
    List of permissions the API user has on the question.
    Example: []

  - `status` (string)
    The status of the object
    Enum: "active", "archived"

  - `createdBy` (string)
    The unique identifier of the user who created the question.
    Example: "af5b547d-1f47-11ec-8eae-868cca974f0b"

  - `createdOn` (string)
    The date the question was created (ISO-8601 format).
    Example: "2024-09-18T22:33:43.089359Z"

  - `updatedBy` (string)
    The unique identifier of the user who last updated the question.
    Example: "af5b547d-1f47-11ec-8eae-868cca974f0b"

  - `updatedOn` (string)
    The date the question was updated (ISO-8601 format).
    Example: "2024-09-18T22:33:43.089359Z"

  - `permissions` (array)
    List of permissions the API user has on the question.


